[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Is Apache HEAD incompatible with Subversion? [Was: Obstructed update]

From: Philip Martin <philip_at_codematters.co.uk>
Date: 2002-12-17 00:56:52 CET

Philip Martin <philip@codematters.co.uk> writes:

> Sebastian Bergmann <sb@sebastian-bergmann.de> writes:
>
> > > Which version of APR?
> >
> > Current HEAD.
>
> Eeek!
>
> I've just upgraded to apache/apr/apr-util to HEAD and now I can
> reproduce this.
>
> $ svnadmin create repo
> $ svn mkdir file://`pwd`/repo/foo
> $ svn co file://`pwd`/repo wc
> $ svn up wc
> ../svn/subversion/libsvn_wc/adm_crawler.c:315: (apr_err=155000, src_err=0)
> svn: Obstructed update
> svn: The entry 'bar' is no longer a directory,
> which prevents proper updates.
> Please remove this entry and try updating again.

Reverting the recent changes to apr/file_io/unix/dir.c with

$ cvs up -r1.64 apr/file_io/unix/dir.c

appears to fix the problem.

-- 
Philip Martin
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Dec 17 00:57:33 2002

This is an archived mail posted to the Subversion Dev mailing list.